<?
namespace shop;
class Transport implements \ArrayAccess
{
  // lista dostępnych form wysyłki
  static public function transport_list()
  {
    global $mdb;
    return $mdb -> select( 'pp_shop_transports', '*', [ 'status' => 1 ] );
  }

  public function offsetExists( $offset )
  {
    return isset( $this -> $offset );
  }

  public function offsetGet( $offset )
  {
    return $this -> $offset;
  }

  public function offsetSet( $offset, $value )
  {
    $this -> $offset = $value;
  }

  public function offsetUnset( $offset )
  {
    unset( $this -> $offset );
  }
}